metadata:
  id: robosats
  name:
    en: RoboSats
  version: 0.1.0+robosats
  displayVersion: 0.7.3-alpha
  category:
    en: Finance
  tagline:
    en: Simple and Private Bitcoin P2P Exchange
  developers:
    RoboSats: https://learn.robosats.com
  description:
    en: |-
      RoboSats is a simple and private app to exchange bitcoin for national currencies.  Robosats simplifies the P2P user experience and uses lightning hold invoices to  minimize custody and trust requirements. The deterministically generated robot  avatars help users stick to best privacy practices.

      Features:

      - Privacy focused: your robot avatar is deterministically generated, no need for registration.
      - More than 10 languages available and over 60 fiat currencies
      - Safe: simply lock a lightning hodl invoice and show you are real and commited.
      - No data collection. Your communication with your peer is PGP encrypted, only you can read it.
      - Lightning fast: the average soverign trade finishes in ~ 8 minutes. Faster than a single block confirmation!
      - Fully collateralized escrow: your peer is always commited and cannot run away with the funds.
      - Strong incentives system: attempts of cheating are penalized with the slashing of the Sats in the fidelity bond.
      - Guides and video tutorials available at https://learn.robosats.com/watch/en

      You can join other cool Robots and get community support at https://t.me/robosats telegram group.
  dependencies:
  - tor
  - tor
  basePermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  hasPermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  exposesPermissions: []
  repos:
    Public: https://github.com/reckless-satoshi/robosats
  support: https://t.me/robosats
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: https://runcitadel.github.io/old-apps-gallery/robosats/icon.svg
  defaultPassword: null
  license: ''
  volumes: {}
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts:
        - name: main
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: true
  preloadType: null
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        ROBOSATS_ONION: !StringLike robosats6tkf3eva7x2voqso3a5wcorsnw34jveyxfqi2fu7oyheasid.onion
        TOR_PROXY_IP: !StringLike proxy.tor.nirvati
        TOR_PROXY_PORT: !StringLike '9050'
      hostname: null
      image: recksato/robosats-client:0.7.3-alpha@sha256:bdeeedc572402acf06c454cdd0f32c60f00b0fd641ab5e1cd4daa5141699deba
      privileged: false
      restart: null
      stop_grace_period: 1m
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 12596
  type: Https
  enable_compression: true
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources:
- app: tor
  plugin_id: onion-service
  definition:
    app-robosats:
      target_svc: main
      target_ns: null
      ports:
        80:
          target_svc: host-docker-internal
          target_ns: null
          target_port: 12596
      insecure_single_hop: null
      store_name_in_secret:
        key: name
        name: onion-svc-app-robosats-name
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
other: []
